#include "NCSFile.h"
#include <iostream>

int main(int argc, char **argv)
{
	CNCSFile file;
	CNCSError error = file.Open(argv[1], false, false);

	if (error != NCS_SUCCESS) 
	{
		std::cout << "Error opening file: " << argv[1] << std::endl;
		exit(1);
	}
	NCSFileViewFileInfoEx& info = *file.GetFileInfo();

	int band = 0;
	UINT8 *line = new UINT8[info.nSizeX];
	NCSEcwReadStatus status;

	while (band < info.nBands)
	{
		error = file.SetView(1, &band, info.nSizeX, info.nSizeY, 0, 0, info.nSizeX - 1, info.nSizeY - 1);
		if (error != NCS_SUCCESS)
		{
			std::cout << "Error setting view on band: " << band << std::endl;
			delete[] line;
			file.Close(true);
			exit(1);
		}
		for (unsigned int j = 0; j < info.nSizeY; ++j)
		{
			status = file.ReadLineBIL(&line);
			if (status != NCSECW_READ_OK)
			{
				std::cout << "Error reading line " << j << ", band " << band << std::endl;
				getchar();
			}
		}
		band++;
	}
	delete[] line;
	file.Close(true);
}